user www-data;
worker_processes auto;
pid /run/nginx.pid;

events {
  worker_connections 1024;
  # multi_accept on;
}

http {

  ##
  # Basic Settings
  ##

  sendfile on;
  tcp_nopush on;
  tcp_nodelay on;
  keepalive_timeout 65;
  types_hash_max_size 2048;
  server_tokens off;
  add_header X-Frame-Options SAMEORIGIN;

  # server_names_hash_bucket_size 64;
  # server_name_in_redirect off;

  include /etc/nginx/mime.types;
  default_type application/octet-stream;

  ##
  # SSL Settings
  ##

  ssl_protocols TLSv1 TLSv1.1 TLSv1.2; # Dropping SSLv3, ref: POODLE
  ssl_prefer_server_ciphers on;

  ##
  # Logging Settings
  ##

  access_log /var/log/nginx/access.log;
  error_log /var/log/nginx/error.log;

  ##
  # Gzip Settings
  ##

  gzip on;
  gzip_disable "msie6";

  gzip_vary on;
  gzip_proxied any;
  gzip_comp_level 6;
  gzip_buffers 16 8k;
  gzip_http_version 1.1;
  gzip_types text/plain text/css application/json application/javascript text/xml application/xml application/xml+rss text/javascript;

  ##
  # Virtual Host Configs
  ##

  server {
    listen 8080;
    server_name _;
    if ($http_x_forwarded_proto = "http") {
      return 301 https://$host$request_uri;
    }

    root /usr/share/nginx/html;
    index index.html index.htm;

    location ~ /.well-known {
      allow all;
    }

    location ~* ^.+\.css$ {
      add_header  Content-Type    text/css;
    }

    location ~* ^.+\.js$ {
      add_header  Content-Type    application/x-javascript;
    }

    location / {
      try_files $uri /index.html;
    }
  }
}
